質問編集履歴

1 タグ追加

gompro89

gompro89 score 10

2016/06/01 13:05  投稿

cocoapodsのimportのエラー
cocoapodsのimportエラー
###前提・実現したいこと
cocoapodsを使っていますがframeworkのimportが出来ません。
pod installで環境設定もしましたが下記のエラーメッセージが出って困っています。
何が原因でしょうか?
###発生している問題・エラーメッセージ
```
No such module 'XLPagerTabStrip'
```
###該当のソースコード
```swift
target 'NewProject' do
# Comment this line if you're not using Swift and don't want to use dynamic frameworks
use_frameworks!
# Pods for NewProject
pod 'Google-Material-Design-Icons-Swift', '~> 1.0'
pod 'XLPagerTabStrip', '~> 5.0'
target 'NewProjectTests' do
inherit! :search_paths
# Pods for testing
end
target 'NewProjectUITests' do
inherit! :search_paths
# Pods for testing
end
end
```
###補足情報(言語/FW/ツール等のバージョンなど)
cocoapods version 1.0.0
  • Swift

    12517 questions

    Swiftは、アップルのiOSおよびOS Xのためのプログラミング言語で、Objective-CやObjective-C++と共存することが意図されています

  • Xcode 7

    620 questions

    Xcode 7は、ソフトウェア開発のためのアップルの統合開発環境であるXcodeのバージョン。UIを作成するために用いるグラフィカルツールです。iOS9/OS X El Capitan/watchOS2に対応。Swift 2コンパイラーが搭載されています。

思考するエンジニアのためのQ&Aサイト「teratail」について詳しく知る